import "./tasks/mendelian.wdl" as mendelian


workflow {{ project_name }} {
	File inputSamplesFile
	Array[Array[File]] inputSamples = read_tsv(inputSamplesFile)
	File ref_dir
	File vcf
	String chromo
	String fasta
	String cluster_config
	String disk_size

	scatter (quartet in inputSamples){
		call mendelian.mendelian as LCL5mendelian {
			input:
			child_vcf=quartet[0],
			LCL7_vcf=quartet[2],
			LCL8_vcf=quartet[3],
			LCL7_name=quartet[6],
			LCL8_name=quartet[7],
			child_name=quartet[4],
			ref_dir=ref_dir,
			fasta=fasta,
			cluster_config=cluster_config,
			disk_size=disk_size
		}
		call mendelian.mendelian as LCL6mendelian {
			input:
			child_vcf=quartet[1],
			LCL7_vcf=quartet[2],
			LCL8_vcf=quartet[3],
			LCL7_name=quartet[6],
			LCL8_name=quartet[7],
			child_name=quartet[5],
			ref_dir=ref_dir,
			fasta=fasta,
			cluster_config=cluster_config,
			disk_size=disk_size
		}
	}
}